


Function {
  DefineFunction[ sigma ] ;
}

FunctionSpace {
  { Name Hgrad_v_EleKin ; Type Form0 ;
    BasisFunction {
      { Name sn ; NameOfCoef vn ; Function BF_Node ;
//NEW
         Support DomainC_Ele ; Entity NodesOf[ All, Not  Dirichlet1 ] ; }
//      Support DomainC_Ele ; Entity NodesOf[ All ] ; }

//NEW
      { Name sn_elec; NameOfCoef tn_elec; Function BF_GroupOfNodes;
        Support Region[{DomainC_Ele}]; Entity GroupsOfNodesOf[ Dirichlet1 ]; }
    }
    
//NEW
      GlobalQuantity {
      { Name V ; Type AliasOf        ; NameOfCoef tn_elec ; }
      { Name I ; Type AssociatedWith ; NameOfCoef tn_elec ; }
    }
    
    Constraint {
      { NameOfCoef vn ;
        EntityType NodesOf ; NameOfConstraint ElectricScalarPotential ; }
 
//NEW 
     { NameOfCoef V ;
        EntityType GroupsOfNodesOf ; NameOfConstraint Global_Potential ; }
        
    }
  }
}

Formulation {
  { Name Electrokinetics_v ; Type FemEquation ;
  
    Quantity {
      { Name v ; Type Local ; NameOfSpace Hgrad_v_EleKin ; }

//NEW      
      { Name I ; Type Global ; NameOfSpace Hgrad_v_EleKin [I] ; }
      { Name V ; Type Global ; NameOfSpace Hgrad_v_EleKin [V] ; }      
    }
    
    Equation {
      Galerkin { [ sigma[] * Dof{d v} , {d v} ] ; In DomainC_Ele ; Jacobian Vol ; Integration GradGrad ; }

//NEW
      GlobalTerm { [ Dof{I} , {V} ] ; In Dirichlet1 ; }      
    }
  }
}

PostProcessing {
  { Name Electrokinetics ; NameOfFormulation Electrokinetics_v ;
     Quantity {
      { Name v ; Value { Term { [ {v} ] ;
            In DomainC_Ele ; Jacobian Vol; } } }
      { Name e ; Value { Term { [ -{d v} ] ;
            In DomainC_Ele ; Jacobian Vol; } } }
      { Name j ; Value { Term { [ -sigma[] * {d v} ] ;
            In DomainC_Ele ; Jacobian Vol; } } }

// Added (already working)          
      { Name J_Mag ; Value { Term { [ Norm[ -sigma[] * {d v} ] ] ;
            In DomainC_Ele ; Jacobian Vol; } } }

//NEW
      { Name V ; Value { Term { [ {V} ] ; In Dirichlet1 ; } } }
      { Name I ; Value { Term { [ {I} ] ; In Dirichlet1 ; } } }
      { Name R; Value { Term { [ Norm[{V}/{I}] ]; In Dirichlet1; }}}
    }
  }
}
