// Gmsh project created on Tue May 14 14:27:11 2019
SetFactory("OpenCASCADE");
Include "resistance_check_data.geo";

L = .1;
a = .01;

s1=5;

cable = newreg;
Box ( cable ) = { -a/2, -a/2, -L/2, a, a, L };
air = newreg;
Box ( air ) = { -(s1*a+a)/2, -(s1*a+a)/2, -(s1*a +L)/2, s1*a+a, s1*a+a, s1*a+L };

Coherence;

Physical Volume("Track", TRACK) = { cable  };
Physical Surface("Vcc", VOLTAGE_POS) = { 6 };
Physical Surface("GND", VOLTAGE_GND) = { 5 };

p_track = PointsOf{Physical Volume{TRACK};};

Characteristic Length { p_track() } = .01;

/*
For i In {0:#elements()-1}
Printf("aio",elements(i));
EndFor
*/